Subject: Re: linux-next: manual merge of the block tree with Linus' tree

From: Jens Axboe <[email-masked]>
Date: Thu, 25 Feb 2010 08:47:57 +0100

On Thu, Feb 25 2010, Stephen Rothwell wrote:
> Hi Jens,
> 
> Today's linux-next merge of the block tree got a conflict in
> include/linux/blkdev.h between commit
> 79da0644a8e0838522828f106e4049639eea6baf ("Revert "block: improve
> queue_should_plug() by looking at IO depths"") from Linus' tree and
> commit 488991e28e55b4fbca8067edf0259f69d1a6f92c ("block: Added in
> stricter no merge semantics for block I/O") from the block tree.
> 
> Context changes - I have fixed it up (see below) and can carry the fix
> for a while.  I suspect that you were expecting this. :-)

I was, unfortunately I forgot to resolve the conflict yesterday. Your
fix confuses me a bit - I was expecting the first hunk, but what is the
second hunk doing? Conceptually good though, perhaps there are more
conflicts than I was expecting :-)

I'll update here as well so it disappears next time you pull.

-- 
Jens Axboe